Page Summary
-
The API endpoint
requestVerificationis used to submit business verification information for an agent. -
Only one verification request can be active at a time for an agent.
-
Verification is only performed after a launch is requested.
-
The request requires the agent's unique identifier and verification contact details.
Submits business verification information for an agent. Depending on the carrier(s) selected at launch, either the carrier(s) or Google will contact the brand for verification. Only 1 instance of verification is allowed at any given time.
HTTP request
POST https://businesscommunications.googleapis.com/v1/{name=brands/*/agents/*}:requestVerification
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The unique identifier of the brand and agent. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"agentVerificationContact": {
object ( |
| Fields | |
|---|---|
agentVerificationContact |
Required. Verification contact details for the agent. |
Response body
If successful, the response body contains an instance of AgentVerification.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/businesscommunications
For more information, see the OAuth 2.0 Overview.